"use client";
// components/GlobalLoading.tsx
import React from "react";
import useLoadingStore from "@/store/loadingStore";

const GlobalLoading: React.FC = () => {
    const isLoading = useLoadingStore((state) => state.isLoading);
    const text = useLoadingStore((state) => state.text);
    if (!isLoading) {
        return null; // 如果不在加载状态，则不渲染任何内容
    }

    return (
        <div className="fixed inset-0 flex flex-col items-center justify-center bg-gray-800 bg-opacity-50 z-50 text-secondary">
            <div className="loading loading-bars loading-lg"></div>
            <div>{text}</div>
        </div>
    );
};

export default GlobalLoading;
