"use client";
import { useEffect } from "react";
import Script from "next/script";
import { usePathname } from "next/navigation";

const GA_TRACKING_ID = "G-JGPW372ZX7"; // 替换为你的Tracking ID

declare global {
    interface Window {
        gtag: (...args: any[]) => void;
    }
}
const GoogleAnalytics = () => {
    const pathname = usePathname();

    useEffect(() => {
        if (typeof window !== "undefined" && GA_TRACKING_ID) {
            window.gtag("config", GA_TRACKING_ID, {
                page_path: pathname,
            });
        }
    }, [pathname]);

    return (
        <>
            <Script
                src={`https://www.googletagmanager.com/gtag/js?id=${GA_TRACKING_ID}`}
                strategy="afterInteractive" // 脚本将在页面加载完成后运行
            />
            <Script id="google-analytics" strategy="afterInteractive">
                {`
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());
          gtag('config', '${GA_TRACKING_ID}');
        `}
            </Script>
        </>
    );
};

export default GoogleAnalytics;
