export default function InputBox({
    children,
    serial,
    title,
}: Readonly<{
    children: React.ReactNode;
    serial: number;
    title: string;
}>) {
    return (
        <div className="bg-white p-4 rounded-lg w-full flex-[100%]">
            <div className="flex justify-between">
                <div className="flex gap-3 text-gray-700 font-medium flex-grow">
                    <kbd className="kbd">{serial}</kbd>
                    <label>{title}</label>
                </div>
            </div>
            <div className="flex flex-col gap-4 font-medium flex-grow mt-2">
                {children}
            </div>
        </div>
    );
}
