"use client";

import { useEffect } from "react";
import useFetch from "@/hooks/useFetch";
import useUserStore from "@/store/userStore";

export default function useUser() {
    const setUser = useUserStore((state) => state.setUser);

    const {
        fetchData: GetUserinfo,
        loading: userinfoLoading,
        data: userinfoData,
    } = useFetch({
        url: "/api/profile/",
        method: "POST",
    });

    const updateUser = async () => {
        try {
            const res = await GetUserinfo();
            console.log("userinfo", res);
            setUser(res);
        } catch (error) {
            console.error("Error updating user:", error);
        }
    };

    // useEffect(() => {
    //     updateUser();
    // }, []); // 空数组依赖确保只在组件挂载时执行一次

    return {
        updateUser,
        userinfoLoading,
        userinfoData,
    };
}
