// store/loadingStore.ts
import { create } from 'zustand';

interface LoadingState {
    isLoading: boolean;
    text: string;
    showLoading: (text?: string) => void;
    hideLoading: () => void;
}

const useLoadingStore = create<LoadingState>((set) => ({
    isLoading: false,
    text: "",
    showLoading: (text: string = "loading...") => set({ isLoading: true, text: text }),
    hideLoading: () => set({ isLoading: false }),
}));

export default useLoadingStore;
