// store/userStore.ts
import { create } from 'zustand';
interface User {
    username: string;
    email: string;
    phone: string;
    isMember: boolean;
    points: number;
    referralCode: string;
    commissionRate: number;
}
interface UserState {
    user: User | null;
    setUser: (userInfo: User) => void;
    clearUser: () => void;
}

const useUserStore = create<UserState>((set) => ({
    user: null,
    setUser: (userInfo) => set({ user: userInfo }),
    clearUser: () => set({ user: null }),
}));

export default useUserStore;
