"use client";
import useFetch from "@/hooks/useFetch";
import { useTranslations } from "next-intl";
import { useState } from "react";

export default function GoogleLogin() {
    const t = useTranslations("loginForm");
    const [loading, setLoading] = useState(false); // 添加 loading 状态

    const googleLogin = async (method: string) => {
        setLoading(true); // 开始请求时设置 loading 为 true
        const form = document.createElement("form");
        form.method = "POST";
        form.action = "/oauth2callback/google/login/";

        document.body.appendChild(form);
        form.submit(); // 提交表单
        // try {
        //     const response = await fetch("/oauth2callback/google/login/", {
        //         method: method,
        //         headers: {
        //             "Content-Type": "application/x-www-form-urlencoded",
        //         },
        //     });
        //     console.log("response", response);
        //     if (response.ok) {
        //         console.log("Success:", response);
        //         window.location.href = response.url;
        //         // 处理成功响应
        //     } else {
        //         console.error("Failed:", response.status);
        //         // 处理失败响应
        //     }
        // } catch (error) {
        //     console.error("Error:", error);
        //     // 处理请求错误
        // } finally {
        //     setLoading(false); // 请求结束后设置 loading 为 false
        // }
    };

    return (
        <button
            onClick={() => googleLogin("POST")}
            className="relative justify-center whitespace-nowrap z-0 text-sm font-medium ring-offset-background transition-all focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-blue-500 focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 px-4 py-2 rounded-md bg-gray-800 text-gray-300 hover:text-white border-gray-600 border hover:bg-gray-700 w-full flex items-center gap-3 btn-pop"
            disabled={loading} // 禁用按钮防止多次点击
        >
            {loading ? (
                <span className="loading loading-spinner loading-sm"></span>
            ) : (
                <>
                    {/* <Image
                        src="https://www.typeframes.com/images/google.webp"
                        className="w-4"
                        alt="google login icon"
                    /> */}
                    {t("continueWithGoogle")}
                </>
            )}
        </button>
    );
}
