import Image from "next/image";
import IconHowItWorks from "/public/icons/IconHowItWorks.svg";
export default function PageTeach() {
    return (
        <section
            id="how-it-works"
            className="content-visibility-auto scroll-m-20 w-full mt-24 space-y-8"
        >
            <div className="space-y-4 mb-14">
                <div className="mx-auto text-green-200 border border-[#c8eed6]/25 shadow-lg shadow-[#4add80]/10 w-fit font-medium text-sm rounded-full bg-gradient-to-b from-[#737b88]/20 to-[#191b1e]/20 p-[1.5px]">
                    <div className="bg-[#15171a]/50 flex items-center space-x-1 py-1 px-2 rounded-full ">
                        <Image
                            alt="typeframes.ai logo"
                            fetchPriority="high"
                            width={17}
                            height={16}
                            decoding="async"
                            style={{ color: "transparent" }}
                            src={IconHowItWorks}
                        />
                        <span>How it works</span>
                    </div>
                </div>
                <h2 className='text-white font-["Euclid_Circular_A"] text-3xl lg:text-4xl xl:text-5xl text-center w-11/12 max-w-3xl text-pretty mx-auto'>
                    Creating TikTok content has never been that easy
                </h2>
            </div>
            <div className="gradient-bg rounded-lg px-4 sm:px-6 md:px-8 pb-8 border border-[#252629] text-neutral-dark">
                <div className="rounded-lg rounded-t-none border border-t-0 border-[#353e3b] divide-y lg:divide-y-0 lg:divide-x divide-[#353e3b] grid lg:grid-cols-2">
                    <div className="p-4 sm:p-6 lg:p-8 pt-0 lg:pb-14 my-auto">
                        <div className="my-6 md:mb-8 overflow-hidden relative flex items-center justify-center size-12 rounded-xl border border-[#353e3b]">
                            <span className='font-bold text-2xl font-["Euclid_Circular_A"]'>
                                1
                            </span>
                            <span className='absolute blur-xl bg-white font-bold text-2xl font-["Euclid_Circular_A"]'>
                                1
                            </span>
                        </div>
                        <h4 className='text-white font-medium text-2xl font-["Euclid_Circular_A"]'>
                            Find what goes viral
                        </h4>
                        <p className="mt-4 mb-8 text-balance">
                            AI will find the best content for you that you can
                            easily repurpose into TikTok videos.
                        </p>
                        <ul className="*:flex *:items-start *:space-x-1.5 space-y-4 lg:space-y-3 *:text-[#eafff2] *:text-sm">
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>Search with complex queries</span>
                            </li>
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>
                                    Get full video transcript to fuel your next
                                    script
                                </span>
                            </li>
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>Use advanced search</span>
                            </li>
                        </ul>
                    </div>
                    <div className="relative pl-4 sm:pl-6 lg:pl-8 pt-6 lg:pt-8">
                        <div className="relative h-64 sm:h-96 lg:h-full w-full">
                            {/* <Image
                            alt="from text to video in typeframes.ai"
                            loading="lazy"
                            decoding="async"
                            layout="fill"
                            className="ml-auto aspect-video overflow-hidden rounded-tl-xl rounded-br-xl object-cover object-top"
                            sizes="100vw"
                            srcSet="/images/tth_search.jpg"
                        /> */}
                        </div>
                    </div>
                </div>
            </div>
            <div className="gradient-bg rounded-lg px-4 sm:px-6 md:px-8 pb-8 border border-[#252629] text-neutral-dark">
                <div className="rounded-lg rounded-t-none border border-t-0 border-[#353e3b] divide-y lg:divide-y-0 lg:divide-x divide-[#353e3b] grid lg:grid-cols-2">
                    <div className="p-4 sm:p-6 lg:p-8 pt-0 lg:pb-14 my-auto lg:order-last lg:border-l border-[#353e3b]">
                        <div className="my-6 md:mb-8 overflow-hidden relative flex items-center justify-center size-12 rounded-xl border border-[#353e3b]">
                            <span className='font-bold text-2xl font-["Euclid_Circular_A"]'>
                                2
                            </span>
                            <span className='absolute blur-xl bg-white font-bold text-2xl font-["Euclid_Circular_A"]'>
                                1
                            </span>
                        </div>
                        <h4 className='text-white font-medium text-2xl font-["Euclid_Circular_A"]'>
                            Generate scripts in seconds
                        </h4>
                        <p className="mt-4 mb-8 text-balance">
                            Our AI understands what makes videos go viral and
                            use the same proven methods to write scripts for
                            you.
                        </p>
                        <ul className="*:flex *:items-start *:space-x-1.5 space-y-4 lg:space-y-3 *:text-[#eafff2] *:text-sm">
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>Ask it what you want to talk about</span>
                            </li>
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>
                                    The AI will find relevant content to get
                                    inspired by
                                </span>
                            </li>
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>
                                    Drop any link and it will be automatically
                                    parsed and formatted for a video
                                </span>
                            </li>
                        </ul>
                    </div>
                    <div className="relative pr-4 sm:pr-6 lg:pr-8 pt-6 lg:pt-8">
                        <div className="relative h-64 sm:h-96 lg:h-full w-full">
                            {/* <Image
                            alt="from text to video in typeframes.ai"
                            loading="lazy"
                            decoding="async"
                            layout="fill"
                            className="ml-auto aspect-video overflow-hidden rounded-tr-xl rounded-bl-xl object-cover object-top"
                            sizes="100vw"
                            srcSet="/images/tth_script.jpg"
                        /> */}
                        </div>
                    </div>
                </div>
            </div>
            <div className="gradient-bg rounded-lg px-4 sm:px-6 md:px-8 pb-8 border border-[#252629] text-neutral-dark">
                <div className="rounded-lg rounded-t-none border border-t-0 border-[#353e3b] divide-y lg:divide-y-0 lg:divide-x divide-[#353e3b] grid lg:grid-cols-2">
                    <div className="p-4 sm:p-6 lg:p-8 pt-0 lg:pb-14 my-auto">
                        <div className="my-6 md:my-8 overflow-hidden relative flex items-center justify-center size-12 rounded-xl border border-[#353e3b]">
                            <span className='font-bold text-2xl font-["Euclid_Circular_A"]'>
                                3
                            </span>
                            <span className='absolute blur-xl bg-white font-bold text-2xl font-["Euclid_Circular_A"]'>
                                1
                            </span>
                        </div>
                        <h4 className='text-white font-medium text-2xl font-["Euclid_Circular_A"]'>
                            Viral-First Video Creation
                        </h4>
                        <p className="mt-4 mb-8">
                            Create perfect videos for social media, grab
                            attention, and grow your business.
                        </p>
                        <ul className="*:flex *:items-start *:space-x-1.5 space-y-4 lg:space-y-3 *:text-[#eafff2] *:text-sm">
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>
                                    Create vertical videos from any content,
                                    ready to be published
                                </span>
                            </li>
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>
                                    Generate voice, add animations and create
                                    super engaging content
                                </span>
                            </li>
                            <li>
                                <div className="min-w-5 min-h-5">
                                    <Image
                                        alt="typeframes.ai logo"
                                        fetchPriority="high"
                                        width={20}
                                        height={20}
                                        decoding="async"
                                        style={{ color: "transparent" }}
                                        src={IconHowItWorks}
                                    />
                                </div>
                                <span>
                                    Create automations, typeframes.ai will watch
                                    your blog, a subreddit, Twitter or Linkedin
                                    account and create content automatically
                                </span>
                            </li>
                        </ul>
                    </div>
                    <div className="relative pl-4 sm:pl-6 lg:pl-8 pt-6 lg:pt-8">
                        <div className="relative h-64 sm:h-96 lg:h-full w-full">
                            {/* <Image
                            alt="from text to video in typeframes.ai"
                            loading="lazy"
                            decoding="async"
                            layout="fill"
                            className="ml-auto aspect-video overflow-hidden rounded-tl-xl rounded-br-xl object-cover object-top"
                            sizes="100vw"
                            srcSet="/images/tth_editor.jpg"
                        /> */}
                        </div>
                    </div>
                </div>
            </div>
            <div className="mx-auto flex flex-col items-center space-y-4 py-8">
                {/* <Image
                alt="typeframes.ai logo"
                loading="lazy"
                width={154}
                height={30}
                decoding="async"
                srcSet="/images/typeframes_logo_rec_light.png 1x, /images/typeframes_logo_rec_light.png 2x"
                src="/images/typeframes_logo_rec_light.png"
            /> */}
                <p className="text-neutral-dark">
                    Your shortcut to effortless video story telling.
                </p>
                <div className="btn-tf-primary-container mx-auto lg:mx-0">
                    <a
                        className="btn-tf btn-tf-primary"
                        href="https://www.revid.ai?aff=nVYypb"
                    >
                        Create Videos Now
                    </a>
                </div>
            </div>
        </section>
    );
}
