export default function PageFaqs() {
    return (
        <article className="content-visibility-auto rounded-lg px-4 sm:px-6 md:px-8 border border-[#252629] w-full bg-[#15171a]">
            <div className="w-full relative border-x border-[#353e3b]">
                <div className="absolute z-0 w-full h-full grid lg:grid-cols-2 gap-8 items-center">
                    <section className="-z-0 absolute w-full h-full col-span-2 grid grid-cols-2 place-content-between">
                        <div className="bg-[#4BDE81] rounded-full w-1 h-1 my-8 outline outline-8 outline-[#15171A] -mx-[2.5px] "></div>
                        <div className="bg-[#4BDE81] rounded-full w-1 h-1 my-8 outline outline-8 outline-[#15171A] -mx-[2px] place-self-end"></div>
                        <div className="bg-[#4BDE81] rounded-full w-1 h-1 my-8 outline outline-8 outline-[#15171A] -mx-[2.5px] "></div>
                        <div className="bg-[#4BDE81] rounded-full w-1 h-1 my-8 outline outline-8 outline-[#15171A] -mx-[2px] place-self-end"></div>
                    </section>
                </div>
                <div className="relative z-10 w-[95%] lg:w-2/3 mx-auto py-12 lg:py-24">
                    <div className="space-y-4 mb-14">
                        <div className="mx-auto text-green-200 border border-[#c8eed6]/25 shadow-lg shadow-[#4add80]/10 w-fit font-medium text-sm rounded-full bg-gradient-to-b from-[#737b88]/20 to-[#191b1e]/20 p-[1.5px]">
                            <div className="bg-[#15171a]/50 flex items-center space-x-1 py-1 px-2 rounded-full">
                                <svg
                                    width="17"
                                    height="16"
                                    viewBox="0 0 17 16"
                                    fill="none"
                                    xmlns="http://www.w3.org/2000/svg"
                                >
                                    <path
                                        d="M11.834 12.2868H9.16732L6.20064 14.2601C5.76064 14.5535 5.16732 14.2402 5.16732 13.7068V12.2868C3.16732 12.2868 1.83398 10.9535 1.83398 8.95349V4.95345C1.83398 2.95345 3.16732 1.62012 5.16732 1.62012H11.834C13.834 1.62012 15.1673 2.95345 15.1673 4.95345V8.95349C15.1673 10.9535 13.834 12.2868 11.834 12.2868Z"
                                        stroke="#BEFFD6"
                                        stroke-width="1.5"
                                        stroke-miterlimit="10"
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                    ></path>
                                    <path
                                        d="M8.49923 7.57324V7.43327C8.49923 6.97993 8.77924 6.73992 9.05924 6.54659C9.33258 6.35992 9.60588 6.11993 9.60588 5.67993C9.60588 5.0666 9.11256 4.57324 8.49923 4.57324C7.88589 4.57324 7.39258 5.0666 7.39258 5.67993"
                                        stroke="#BEFFD6"
                                        stroke-width="1.5"
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                    ></path>
                                    <path
                                        d="M8.49635 9.16634H8.50235"
                                        stroke="#BEFFD6"
                                        stroke-width="1.5"
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                    ></path>
                                </svg>
                                <span className="">FAQs</span>
                            </div>
                        </div>
                        <h2 className='text-white font-["Euclid_Circular_A"] text-3xl lg:text-4xl xl:text-5xl text-center w-11/12 max-w-3xl text-pretty mx-auto'>
                            Frequently Asked Questions
                        </h2>
                    </div>
                    <div className="space-y-3">
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    How can typeframes.ai transform my content
                                    creation game?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-45">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-[20rem] whitespace-pre-line">
                                    typeframes.ai is your secret weapon for
                                    creating irresistible vertical videos in a
                                    snap. Our AI-powered platform analyzes
                                    millions of viral videos to craft scripts
                                    and generate stunning visuals that are
                                    optimized for maximum impact. Whether you're
                                    creating product demos, explainer videos, or
                                    social media ads, typeframes.ai helps you
                                    produce content that consistently captivates
                                    your audience.
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    I'm not a video editing pro. Can I still use
                                    typeframes.ai?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    Absolutely! typeframes.ai is designed with
                                    creators like you in mind. Our intuitive
                                    interface and AI-driven tools make it a
                                    breeze to produce professional-grade videos,
                                    even if you've never edited before. Simply
                                    input your text or link, and let our AI work
                                    its magic. It's like having a video editing
                                    genius at your fingertips!
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    What kind of content can I create with
                                    typeframes.ai?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    The possibilities are endless! Whether you
                                    want to repurpose a blog post, turn a
                                    podcast into a video, create a viral TikTok
                                    from scratch, or produce engaging product
                                    demos and explainer videos, typeframes.ai
                                    has you covered. Our AI can generate scripts
                                    from any text or URL, find the perfect viral
                                    hooks, and even create videos automatically
                                    from your favorite content sources. If you
                                    can dream it, typeframes.ai can help you
                                    create it.
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    How much control do I have over the
                                    AI-generated content?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    While our AI is incredibly powerful, you
                                    always remain in the driver's seat.
                                    typeframes.ai provides a foundation of
                                    high-quality, engaging content that you can
                                    then customize to your heart's content. From
                                    adding a professional sounding voice-over
                                    and branding elements to fine-tuning the
                                    visuals and pacing, our platform empowers
                                    you to create videos that are authentically
                                    yours.
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    How can typeframes.ai help me grow my
                                    audience and business?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    typeframes.ai is your partner in audience
                                    growth and business success. Our AI is
                                    trained on millions of viral videos, so it
                                    knows exactly what makes content
                                    irresistible. From attention-grabbing hooks
                                    to mesmerizing visuals, typeframes.ai helps
                                    you create videos that demand to be watched
                                    and shared. Our users have reported an
                                    average of 600% increase in video
                                    engagement, 200% monthly growth in their
                                    businesses, and a staggering 10,000+ videos
                                    created in just 8 minutes each. Rest
                                    assured, your content creation success is
                                    our #1 incentive.
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    Is my data safe with typeframes.ai?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    Absolutely. We take data privacy and
                                    security very seriously. typeframes.ai
                                    employs industry-standard encryption and
                                    security measures to protect your content
                                    and personal information. We never share
                                    your data with third parties without your
                                    explicit consent. With typeframes.ai, you
                                    can focus on creating amazing videos while
                                    we take care of keeping your data safe and
                                    sound.
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    How much time and effort can typeframes.ai
                                    save me?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    typeframes.ai is like having a full video
                                    production team at your beck and call, 24/7.
                                    Our AI handles the heavy lifting, from
                                    researching viral trends to generating
                                    scripts and visuals. What used to take hours
                                    or even days can now be accomplished in
                                    minutes. And with our Automations feature,
                                    you can even set typeframes.ai to create
                                    videos for you on autopilot. It's the
                                    ultimate time-saver for busy creators who
                                    don't want to compromise on quality!
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    How does typeframes.ai stay ahead of the
                                    curve in video creation?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    Our team of video experts and AI engineers
                                    are constantly pushing the boundaries of
                                    what's possible. We stay on top of the
                                    latest trends, platform updates, and best
                                    practices to ensure that typeframes.ai
                                    remains the cutting-edge tool for creating
                                    irresistible videos. As the digital
                                    landscape evolves, so does typeframes.ai,
                                    giving you a competitive edge in your
                                    content creation game.
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    What if I need help or have questions?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    We're here for you every step of the way!
                                    Our friendly support team, made up of video
                                    experts and creators like you, is always
                                    ready to answer your questions, provide
                                    guidance, and help you get the most out of
                                    typeframes.ai. We're not just a software
                                    company – we're a community of passionate
                                    creators dedicated to helping you succeed.
                                    Consider us your personal video creation
                                    cheerleaders!
                                </div>
                            </div>
                        </div>
                        <div className="bg-[#1c1e21] rounded-xl flex flex-col justify-center px-6 md:pt-10 space-y-2 transition-all py-4 lg:py-3">
                            <div className="flex items-start justify-between lg:pt-2 ">
                                <h5 className="faq-question text-white font-medium hover:cursor-pointer my-auto">
                                    Can I try typeframes.ai for free?
                                </h5>
                                <div className="relative flex items-center justify-center h-fit">
                                    <span className="cursor-pointer text-xl text-green-400 transition-all rotate-0">
                                        <svg
                                            stroke="currentColor"
                                            fill="currentColor"
                                            stroke-width="0"
                                            viewBox="0 0 256 256"
                                            height="18"
                                            width="18"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path d="M228,128a12,12,0,0,1-12,12H140v76a12,12,0,0,1-24,0V140H40a12,12,0,0,1,0-24h76V40a12,12,0,0,1,24,0v76h76A12,12,0,0,1,228,128Z"></path>
                                        </svg>
                                    </span>
                                    <span className="absolute blur-md bg-green-300/50 font-bold text-xs top-1/2 pointer-event-none h-2 w-2"></span>
                                </div>
                            </div>
                            <div>
                                <div className="text-neutral-dark text-sm transition-all duration-200 max-h-0 overflow-hidden whitespace-pre-line">
                                    <div>
                                        While theres no free version of
                                        typeframes.ai, we do offer a suite of{" "}
                                        <a href="/tools" className="underline">
                                            AI-powered mini-tools
                                        </a>{" "}
                                        that you can take for a spin.Get a taste
                                        of the magic by creating clips from
                                        YouTube videos, generating AI avatar
                                        videos, and more. And when youre ready
                                        to unleash the full power of
                                        typeframes.ai, our flexible pricing
                                        plans make it easy to find the perfect
                                        fit for your needs and budget. Trust us,
                                        once you experience the typeframes.ai
                                        difference, youll wonder how you ever
                                        created content without it!
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </article>
    );
}
